#include "text.h"
#include <iostream>
const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
void show_histogram_text(std::vector<size_t> bins, size_t bin_count) {
	double mxbins = bins[0];
	for (double x : bins)
	{
		if (x > mxbins)
			mxbins = x;
	}
	double k;
	if (mxbins > MAX_ASTERISK)
		k = MAX_ASTERISK / mxbins;
	else
		k = 1;
	for (size_t i = 0; i < bin_count; i++)
	{
		if (bins[i] < 10) {
			std::cout << "  ";
		}
		else if (bins[i] < 100) {
			std::cout << " ";
		}
		std::cout << bins[i] << "|";
		for (int j = 0; j < floor(bins[i] * k); j++)
		{
			std::cout << "*";
		}

		std::cout << std::endl;
	}
}